#if !defined(AFX_DLGWIZARDSECOND_H__C1CB212F_D5DA_402E_8EF1_74C3F26723AF__INCLUDED_)
#define AFX_DLGWIZARDSECOND_H__C1CB212F_D5DA_402E_8EF1_74C3F26723AF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgWizardSecond.h : header file
//
#include "DlgWizardFirst.h"
#include "RulesBackgroundStatic.h"
//#include "DlgSmartTime.h"
/////////////////////////////////////////////////////////////////////////////
// CDlgWizardSecond dialog
#include "resource.h"
class CDlgWizardFirst;
class CDlgSmartTime;
enum RULETYPE{ REGION};
class CDlgWizardSecond : public CDialog
{
// Construction
public:
	CDlgWizardSecond(CWnd* pParent = NULL);   // standard constructor
	void        OnEditBtnClicked(int nBtnID);
	void        PreparePloyRule(int ruleType);
// Dialog Data
	//{{AFX_DATA(CDlgWizardSecond)
	enum { IDD = IDD_DLG_SMWIZARD2 };
	CSliderCtrl	m_hSliderLineWidth;
	CMyRulesStatic	m_myrulestatic;
	int		m_hovertime;
	//}}AFX_DATA
public:
	void CleanRules();
	void SetGUIStateByRuleType();
	CDlgWizardFirst* m_first;
	CDlgSmartTime* m_thirdway;
	CToolTipCtrl m_toolTip;

	HICON       m_hIcon_single_left;
    HICON       m_hIcon_single_right;
    HICON       m_hIcon_single_double;
	
    HICON       m_hIcon_multi_left;
    HICON       m_hIcon_multi_right;
    HICON       m_hIcon_multi_double;
	
    HICON       m_hIcon_region_fill;
    HICON       m_hIcon_region_pencil;
    HICON       m_hIcon_region_line;
    HICON       m_hIcon_region_erase;
    HICON       m_hIcon_region_rect;
    HICON       m_hIcon_region_cleanall;
	UINT        m_prevItemID;
	
    HICON       m_hIcon_select;
    int         m_ruleType;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgWizardSecond)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CDlgWizardSecond)
	afx_msg void OnBtnNext();
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnPro();
	afx_msg void OnBtnCancel();
	afx_msg void OnClose();
	afx_msg void OnPaint();
	afx_msg void OnCustomdrawSliderLineWidth(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnMove(int x, int y);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()	
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGWIZARDSECOND_H__C1CB212F_D5DA_402E_8EF1_74C3F26723AF__INCLUDED_)
